Bug 264501 - pam-gnome-kerying needs to hook itself up to /usr/bin/passwd
pam-gnome-kerying needs to hook itself up to /usr/bin/passwd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
9
All All
medium Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 13:53 EDT by Ray Strode [halfline]
Modified: 2015-03-03 17:31 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-08-29 13:53:36 EDT
Ideally, when the user runs passwd (or system-config-password, or whatever)
their keyring password would get changed, too.

This requires changes to /etc/pam.d/passwd , but we don't want to introduce a
gnome depedency in /etc/pam.d/passwd, so we may need to make pam_gnomekeyring
not have any hard gnome-dependencies, or make pam not complain about optional
pam modules being missing.
Comment 1 Ray Strode [halfline] 2007-08-29 13:54:28 EDT
Tomas, what do you think?
Comment 2 Tomas Mraz 2007-08-29 16:35:12 EDT
By complaining you mean writing a message to the system log? I'm not sure
removing that message for all optional modules would be a good idea, it could
mean that real configuration errors can be unnoticed, esp. because the optional
modules do not make PAM calls fail.

I can imagine adding some extra syntax to PAM config files to denote a module to
be really optional meaning that if it is missing that PAM library shouldn't
issue the messages into syslog but this would have to be accepted into upstream
PAM first. It could for example look like 'passwd optional [pam_keyring.so]'.

Comment 3 Ray Strode [halfline] 2007-08-29 16:47:41 EDT
hmm that might be a reasonable solution
Comment 4 Ray Strode [halfline] 2007-08-29 16:52:22 EDT
maybe we could have another error code, missing, that could go along with the
other ones (success, ignore, cred_insufficent, authinfo_unavail, etc)

then we could do:

password [missing=ignore default=ignore] pam_gnomekeyring.so

or some such
Comment 5 Ray Strode [halfline] 2007-08-29 16:54:22 EDT
The other option is making a helper app that links against the various gnome
libs, and have pam_gnomekeyring.so have no dependencies on its own (and we'd
ship pam_gnomekeyring.so by default, and ship the helper app with gnome)

--Ray
Comment 7 Bug Zapper 2008-05-13 23:09:47 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:48:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 13:21:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.